Bug 868949 - The configuration value for supported cluster levels isn't expose it to the user.
The configuration value for supported cluster levels isn't expose it to the u...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Oved Ourfali
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 10:24 EDT by Ondra Machacek
Modified: 2016-02-10 14:40 EST (History)
10 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondra Machacek 2012-10-22 10:24:51 EDT
Description of problem:
The configuration value for supported cluster levels isn't configured as ConfigAuthType.User.

Version-Release number of selected component (if applicable):
si21

How reproducible:
always

Steps to Reproduce:
1. Add some user role permissions on DC for example.
2. Via API with created user access url /capabilities
  
Actual results:
Entity not found: SupportedClusterLevels

Expected results:
User should have access to capabilites url.

Additional info:
Comment 5 Oved Ourfali 2012-10-24 05:11:12 EDT
Posted patch:
http://gerrit.ovirt.org/#/c/8764/
Comment 6 Oved Ourfali 2012-10-24 05:43:32 EDT
Commit: 802f2fde5a6bb360dd702592386dda6fb45f948e

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=802f2fde5a6bb360dd702592386dda6fb45f948e

Note You need to log in before you can comment on or make changes to this bug.